<?xml version="1.0" encoding="UTF-8"?>
<project name="module_autovermietung-int" default="compile.module.autovermietung-int">
  <dirname property="module.autovermietung-int.basedir" file="${ant.file.module_autovermietung-int}"/>
  
  <property name="module.jdk.home.autovermietung-int" value="${project.jdk.home}"/>
  <property name="module.jdk.bin.autovermietung-int" value="${project.jdk.bin}"/>
  <property name="module.jdk.classpath.autovermietung-int" value="${project.jdk.classpath}"/>
  
  <property name="compiler.args.autovermietung-int" value="-encoding UTF-8 -source 11 -target 11 ${compiler.args}"/>
  
  <property name="autovermietung-int.output.dir" value="${module.autovermietung-int.basedir}/out/production/autovermietung-int"/>
  <property name="autovermietung-int.testoutput.dir" value="${module.autovermietung-int.basedir}/out/test/autovermietung-int"/>
  
  <path id="autovermietung-int.module.bootclasspath">
    <!-- Paths to be included in compilation bootclasspath -->
  </path>
  
  <path id="autovermietung-int.module.production.classpath">
    <path refid="${module.jdk.classpath.autovermietung-int}"/>
    <path refid="library.oszimtje.classpath"/>
    <path refid="library.oszimtje1.classpath"/>
    <path refid="library.mysql-connector-java-8.0.22.classpath"/>
  </path>
  
  <path id="autovermietung-int.runtime.production.module.classpath">
    <pathelement location="${autovermietung-int.output.dir}"/>
    <path refid="library.oszimtje.classpath"/>
    <path refid="library.oszimtje1.classpath"/>
    <path refid="library.mysql-connector-java-8.0.22.classpath"/>
  </path>
  
  <path id="autovermietung-int.module.classpath">
    <path refid="${module.jdk.classpath.autovermietung-int}"/>
    <pathelement location="${autovermietung-int.output.dir}"/>
    <path refid="library.oszimtje.classpath"/>
    <path refid="library.oszimtje1.classpath"/>
    <path refid="library.mysql-connector-java-8.0.22.classpath"/>
  </path>
  
  <path id="autovermietung-int.runtime.module.classpath">
    <pathelement location="${autovermietung-int.testoutput.dir}"/>
    <pathelement location="${autovermietung-int.output.dir}"/>
    <path refid="library.oszimtje.classpath"/>
    <path refid="library.oszimtje1.classpath"/>
    <path refid="library.mysql-connector-java-8.0.22.classpath"/>
  </path>
  
  
  <patternset id="excluded.from.module.autovermietung-int">
    <patternset refid="ignored.files"/>
  </patternset>
  
  <patternset id="excluded.from.compilation.autovermietung-int">
    <patternset refid="excluded.from.module.autovermietung-int"/>
  </patternset>
  
  <path id="autovermietung-int.module.sourcepath">
    <dirset dir="${module.autovermietung-int.basedir}">
      <include name="src"/>
    </dirset>
  </path>
  
  
  <target name="compile.module.autovermietung-int" depends="compile.module.autovermietung-int.production,compile.module.autovermietung-int.tests" description="Compile module autovermietung-int"/>
  
  <target name="compile.module.autovermietung-int.production" depends="register.custom.compilers" description="Compile module autovermietung-int; production classes">
    <mkdir dir="${autovermietung-int.output.dir}"/>
    <javac2 destdir="${autovermietung-int.output.dir}" debug="${compiler.debug}" nowarn="${compiler.generate.no.warnings}" memorymaximumsize="${compiler.max.memory}" fork="true" executable="${module.jdk.bin.autovermietung-int}/javac">
      <compilerarg line="${compiler.args.autovermietung-int}"/>
      <bootclasspath refid="autovermietung-int.module.bootclasspath"/>
      <classpath refid="autovermietung-int.module.production.classpath"/>
      <src refid="autovermietung-int.module.sourcepath"/>
      <patternset refid="excluded.from.compilation.autovermietung-int"/>
    </javac2>
    
    <copy todir="${autovermietung-int.output.dir}">
      <fileset dir="${module.autovermietung-int.basedir}/src">
        <patternset refid="compiler.resources"/>
        <type type="file"/>
      </fileset>
    </copy>
  </target>
  
  <target name="compile.module.autovermietung-int.tests" depends="register.custom.compilers,compile.module.autovermietung-int.production" description="compile module autovermietung-int; test classes" unless="skip.tests"/>
  
  <target name="clean.module.autovermietung-int" description="cleanup module">
    <delete dir="${autovermietung-int.output.dir}"/>
    <delete dir="${autovermietung-int.testoutput.dir}"/>
  </target>
</project>